Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:37 2009

## Asterisk developer's documentation

# dundi_result Struct Reference

`#include <dundi.h>`

Collaboration diagram for dundi_result:

[legend]

## Data Fields

char | dest [256]
dundi_eid | eid
char | eid_str [20]
int | expiration
unsigned int | flags
char | tech [10]
int | techint
int | weight

## Detailed Description

Definition at line 194 of file dundi.h.

## Field Documentation

char dest[256]

Definition at line 202 of file dundi.h.

Referenced by cache_lookup_internal(), cache_save(), dundi_lookup_exec(), dundi_lookup_local(), dundi_prop_precache(), dundifunc_read(), and handle_command_response().

dundi_eid eid

Definition at line 199 of file dundi.h.

Referenced by cache_lookup_internal(), cache_save(), dundi_lookup_local(), dundi_prop_precache(), and handle_command_response().

char eid_str[20]

Definition at line 200 of file dundi.h.

Referenced by cache_lookup_internal(), dundi_prop_precache(), and handle_command_response().

int expiration

Definition at line 197 of file dundi.h.

Referenced by cache_lookup_internal(), dundi_lookup_local(), dundi_lookup_thread(), dundi_prop_precache(), handle_command_response(), and precache_trans().

unsigned int flags

Definition at line 195 of file dundi.h.

Referenced by cache_save(), dundi_prop_precache(), and handle_command_response().

char tech[10]

Definition at line 201 of file dundi.h.

Referenced by cache_lookup_internal(), dundi_lookup_exec(), dundi_lookup_local(), dundi_prop_precache(), dundifunc_read(), and handle_command_response().

int techint

Definition at line 198 of file dundi.h.

Referenced by cache_lookup_internal(), cache_save(), dundi_lookup_local(), dundi_prop_precache(), and handle_command_response().

int weight

Definition at line 196 of file dundi.h.

Referenced by cache_lookup_internal(), cache_save(), dundi_lookup_local(), dundi_lookup_thread(), dundi_prop_precache(), handle_command_response(), precache_trans(), and rescomp().

The documentation for this struct was generated from the following file:

- dundi.h